version: "3"
services:
  servicediscovery:
    image: "service-discovery:1.0-SNAPSHOT"
    container_name: "service-discovery"
    networks:
      - stockinfo
    ports:
      - "8761:8761"
  gateway:
    image: "gateway-service:1.0-SNAPSHOT"
    container_name: "gateway-service"
    networks:
      - stockinfo
    ports:
      - "8080:8080"
    depends_on:
      - servicediscovery
#      - keycloak
    links:
      - "servicediscovery"

networks:
  stockinfo:
    driver: bridge
